echo off

set CONSOLEDIR=Console
cd %CONSOLEDIR%

echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTx "800"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTy "600"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultLines "100"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultFont "\"Courier new\""
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultSize "18"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultStyle "Font.BOLD"
echo ------------------------------------------------------------------

javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" Console.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" FrameConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsoleReader.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsolePrinter.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CanvasConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CurseurCanvasConsole.java

cd ..

set DESTDIR=EcranGraphique
echo ------------------------------------------------------------------
set SRCNAME=TestEcranGraphique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyCanvas.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyFrame.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

echo ------------------------------------------------------------------

pause
